Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 414 lines (334 sloc) 18.993 kB
c665f9f @FooBarWidget Update NEWS.
FooBarWidget authored
1 Release 3.0.1
2 -------------
3
4 * Fixed malfunction after web server restart
5 On Linux systems that have a non-standard filesystem on /tmp, Phusion
6 Passenger could malfunction after restarting the web server because of
7 a bug that's only triggered on certain filesystems. Issue #569.
8 * Boost upgraded to version 1.44.0.
9 We were on 1.42.0.
10 * Much improved startup error messages
11 Phusion Passenger performs many extensive checks during startup to ensure
12 integrity. However the error message in some situation could be vague.
13 These startup error messages have now been improved dramatically, so that
14 if something goes wrong during startup you will now more likely know why.
15 * Curl < 7.12.1 is now supported
16 The previous version fails to compile with Curl versions earlier than
534950b @FooBarWidget Fix a potential compilation warning and update NEWS.
FooBarWidget authored
17 7.12.1. Issue #556.
c665f9f @FooBarWidget Update NEWS.
FooBarWidget authored
18 * passenger-make-enterprisey fixed
19 This is the command that people can run after donating. It allows people
20 to slightly modify Phusion Passenger's display name as a joke. In 3.0.0 it
21 was broken because of a typo. This has been fixed.
22 * [Apache] RailsEnv and RackEnv configuration options are now equivalent
23 In previous versions, RailsEnv only had effect on Rails 1 and Rails 2 apps
24 while RackEnv only had effect on Rack apps. Because Rails 3 apps are
25 considered Rack apps, setting RailsEnv had no effect on Rails 3 apps.
26 Because this is confusing to users, we've now made RailsEnv and RackEnv
534950b @FooBarWidget Fix a potential compilation warning and update NEWS.
FooBarWidget authored
27 equivalent. Issue #579.
c665f9f @FooBarWidget Update NEWS.
FooBarWidget authored
28 * [Nginx] Fixed compilation problems on systems with unpowerful shells
29 Most notable Solaris. Its default shell does not support some basic
30 constructs that we used in the Nginx configure script.
31 * [Nginx] Upgraded default Nginx version to to 0.8.53
32 The previous default was 0.8.52.
33
34
8243d6d @FooBarWidget Update NEWS
FooBarWidget authored
35 Release 3.0.0
36 -------------
f75f12f @FooBarWidget Bump version to 2.9.4 and update NEWS.
FooBarWidget authored
37
3d6f5ef @FooBarWidget Update NEWS
FooBarWidget authored
38 This is a major release with many changes. Please read our blog for details.
9e15dbd @FooBarWidget Begin porting passenger-status to the new infrastructure.
FooBarWidget authored
39
20005e1 @FooBarWidget Merge branch 'master' into refactoring
FooBarWidget authored
40
1857301 @FooBarWidget Bump version number to 2.2.15 and update NEWS.
FooBarWidget authored
41 Release 2.2.15
42 --------------
43
44 * [Apache] Fixed incorrect temp dir cleanup by passenger-status
45 On some systems, running passenger-status could print the following
46 message:
47
48 *** Cleaning stale folder /tmp/passenger.1234
49
50 ...after which Phusion Passenger breaks because that directory is
51 necessary for it to function properly. The cause of this problem
52 has been found and has been fixed.
e795d48 @FooBarWidget Don't be too strict on client Content-Length, it could be wrong becau…
FooBarWidget authored
53 * [Apache] Fixed some upload handling problems
54 Previous versions of Phusion Passenger check whether the size of
55 the received upload data matches the contents of the Content-Length
56 header as received by the client. It turns out that there could
57 be a mismatch e.g. because of mod_deflate input compression, so
58 we can't trust Content-Length anyway and we're being too strict.
59 The check has now been removed.
2265239 @FooBarWidget Install Nginx 0.7.67 and PCRE 8.02 by default.
FooBarWidget authored
60 * [Nginx] Fixed compilation issues with Nginx >= 0.7.66
e973b93 @FooBarWidget Fix compilation issues with Nginx 0.7.66 and make that version the de…
FooBarWidget authored
61 Thanks to Potamianos Gregory for reporting this issue. Issue #500.
2265239 @FooBarWidget Install Nginx 0.7.67 and PCRE 8.02 by default.
FooBarWidget authored
62 * [Nginx] Default Nginx version changed to 0.7.67
e973b93 @FooBarWidget Fix compilation issues with Nginx 0.7.66 and make that version the de…
FooBarWidget authored
63 The previous default version was 0.7.65.
946dc2e @FooBarWidget Don't preload popular libraries, it conflicts with Bundler.
FooBarWidget authored
64 * Fixed more Bundler problems
65 Previous versions of Phusion Passenger would preload some popular
66 libraries such as mysql and sqlite3 in order to utilize copy-on-write
67 optimizations better. However this behavior conflicts with Bundler
68 so we've removed it.
1857301 @FooBarWidget Bump version number to 2.2.15 and update NEWS.
FooBarWidget authored
69
70
9c17d46 @FooBarWidget Update NEWS and bump version to 2.2.14
FooBarWidget authored
71 Release 2.2.14
72 --------------
73
74 * Added support for Rubinius
75 Patch contributed by Evan Phoenix.
7413b57 @FooBarWidget Update NEWS.
FooBarWidget authored
76 * Fixed a mistake in the SIGQUIT backtrace message.
77 Patch contributed by Christoffer Sawicki.
73f59cd @FooBarWidget Increase Nginx HelperServer thread stack space on FreeBSD.
FooBarWidget authored
78 * [Nginx] Fix a localtime() crash on FreeBSD
79 This was caused by insufficient stack space for threads. Issue #499.
9c17d46 @FooBarWidget Update NEWS and bump version to 2.2.14
FooBarWidget authored
80
81
30296ca @FooBarWidget Update NEWS, bump version to 2.2.13.
FooBarWidget authored
82 Release 2.2.13
83 --------------
84
85 * Fixed some Rails 3 compatibility issues that were recently introduced.
86 * Fixed a typo that causes config/setup_load_paths.rb not to be loaded
87 correctly.
88
89
38db2e2 @FooBarWidget Bump version to 2.2.12 and update NEWS.
FooBarWidget authored
90 Release 2.2.12
91 --------------
92
93 * Improved Bundler support.
94 Previous versions might not be able to correctly load gems bundled
3fc6071 @FooBarWidget Document Bundler support
FooBarWidget authored
95 by Bundler. We've also documented how our Bundler support works and
96 how to override our support if you need special behavior.
97 Please refer to the Phusion Passenger Users Guide, section
98 "Bundler support".
775e220 @FooBarWidget Fix Nginx "passenger_user_switching off" permission problems: issue #…
FooBarWidget authored
99 * Worked around some user account handling bugs in Ruby. Issue #192.
5a4d113 @FooBarWidget Update NEWS
FooBarWidget authored
100 * Fixed some Ruby 1.9 tempfile.rb compatibility problems.
73ee6b0 @FooBarWidget Fixed some compilation problems on some ARM Linux platforms.
FooBarWidget authored
101 * Fixed some compilation problems on some ARM Linux platforms.
94f3aa8 @FooBarWidget Suppress bogus error messages when mod_xsendfile is being used
FooBarWidget authored
102 * [Apache] Suppress bogus mod_xsendfile-related error messages.
103 When mod_xsendfile is being used, Phusion Passenger might print
104 bogus error messages like "EPIPE" or "Apache stopped forwarding
105 the backend's response" to the log file. These messages are
106 normal, are harmless and can be safely ignored, but they pollute
107 the log file. So in this release we've added code to suppress
6b39c23 @FooBarWidget Note mod_xsendfile issue number.
FooBarWidget authored
108 these messages when mod_xsendfile is being used. Issue #474.
775e220 @FooBarWidget Fix Nginx "passenger_user_switching off" permission problems: issue #…
FooBarWidget authored
109 * [Nginx] Fixed "passenger_user_switching off" permission problems
110 If Nginx is running as root and passenger_user_switching is turned
111 off, then Phusion Passenger would fail to initialize because of
112 a permission problem. This has been fixed. Issue #458.
745938a @FooBarWidget Fix Nginx >= 0.8.38 support. Thanks Sergey A. Osokin
FooBarWidget authored
113 * [Nginx] Nginx >= 0.8.38 is now supported.
c271480 @FooBarWidget Default to installing Nginx 0.7.65
FooBarWidget authored
114 Thanks to Sergey A. Osokin for reporting the problem.
115 * [Nginx] passenger-install-nginx-module upgraded
116 It now defaults to installing Nginx 0.7.65 instead of 0.7.64.
38db2e2 @FooBarWidget Bump version to 2.2.12 and update NEWS.
FooBarWidget authored
117
118
119309e @FooBarWidget Update NEWS and bump version to 2.2.11.
FooBarWidget authored
119 Release 2.2.11
120 --------------
121
122 * This release fixes a regression that appeared in 2.2.10 which only
123 affects Apache. When under high load, Apache might freeze and stop
6d961e7 @FooBarWidget Merge branch 'master' into refactoring
FooBarWidget authored
124 responding to requests. It is caused by a race condition which is
119309e @FooBarWidget Update NEWS and bump version to 2.2.11.
FooBarWidget authored
125 why it escaped our last release testing.
126
127 This problem does not affect Nginx; you only have to upgrade if
128 you're using Apache.
129
130 http://groups.google.com/group/phusion-passenger/t/d5bb2f17c8446ea0
131
132
e07dfa0 @FooBarWidget Fix some compilation problems on newer GCC versions. Issue #430.
FooBarWidget authored
133 Release 2.2.10
134 --------------
135
136 * Fixed some Bundler compatibility problems.
137 * Fixed some file descriptor passing problems, which previously
138 could lead to mysterious crashes.
139 * Fixed some compilation problems on newer GCC versions. Issue #430.
84a4bc0 @FooBarWidget Update NEWS.
FooBarWidget authored
140 * Support #size method in rack.input.
e07dfa0 @FooBarWidget Fix some compilation problems on newer GCC versions. Issue #430.
FooBarWidget authored
141
142
2853379 @FooBarWidget Merge branch 'master' into refactoring
FooBarWidget authored
143
00e0cbc @FooBarWidget Update NEWS.
FooBarWidget authored
144 Release 2.2.9
145 -------------
146
147 * Fixed compatibility with Rails 3.
148 Actually, previous Phusion Passenger releases were already compatible
149 with Rails 3, depending on the spawn method that would be invoked. Here's
150 the story:
151
152 Since Phusion Passenger 2.2.8, when the file config.ru exists, Phusion
153 Passenger will treat the app as a Rack app, not as a Rails app. This is
154 in contrast to earlier versions which gave Rails detection more priority
155 than Rack detection. Phusion Passenger loads Rack apps and Rails apps in
156 different ways. The Rails loader was not compatible with Rails 3, which
157 is what we've fixed in this release.
158
159 That said, a Rails 3 app would have worked out-of-the-box on Phusion
160 Passenger 2.2.8 as well because Rails 3 apps include a config.ru file
161 by default, causing Phusion Passenger 2.2.8 to use the Rack loader.
162 Earlier versions of Phusion Passenger would just completely bail out
163 because they'd use the Rails loader.
164
c674aab @FooBarWidget Document some more Rails 3 caveats.
FooBarWidget authored
165 That said, with 2.2.9 there are still some caveats:
166 - Smart spawning (the mechanism with which REE's 33% memory reduction
167 is implemented) is *not* supported for Rack apps. This means that if
168 you want to utilize smart spawning with Rails 3, then you should
169 remove your config.ru file.
170 - Rails 3 depends on Rack 1.1.0. You must have Rack 1.1.0 installed as
171 a gem, even if you've bundled it with the gem bundler. This is because
172 Phusion Passenger itself depends on Rack.
173
174 Both of these caveats are temporary. We have plans to solve both of these
175 properly in the future.
4a0e6ab @FooBarWidget Document what's up with gem bundler compatibility.
FooBarWidget authored
176 * What's up with the Gem Bundler?
177 There has been some reports that Phusion Passenger is not compatible with
178 Yehuda Katz's gem bundler (http://github.com/wycats/bundler). This might
179 have been true for an earlier version of the gem bundler, but the latest
180 version seems to work fine. Please note that you need to insert the
181 following snippet in config/preinitializer.rb, as instructed by the gem
182 bundler's README:
183
184 require "#{RAILS_ROOT}/vendor/gems/environment"
185
186 The Rails::Boot monkey patching code as posted at
187 http://yehudakatz.com/2009/11/03/using-the-new-gem-bundler-today/
188 does not seem to be required anymore.
97db507 @FooBarWidget Afer forking, correctly clear ActiveRecord connections other than the…
FooBarWidget authored
189 * Fixed support for ActiveRecord subclasses that connect to another database.
190 ActiveRecord subclasses that connect to a database other than the default
191 one did not have their connection correctly cleared after forking.
192 This can result in weird errors along the lines of "Lost connection to
193 MySQL server during query". Issue #429.
00e0cbc @FooBarWidget Update NEWS.
FooBarWidget authored
194 * [Nginx] Fixed PCRE URL.
195 passenger-install-nginx-module downloads PCRE 7.8 if PCRE is not already
196 installed. However PCRE 7.8 has been removed from their FTP server,
197 so we've updated the URL to point to the latest version, 8.0.
198
199
adad4c6 @FooBarWidget Add OpenSSL as required dependency for Nginx (fixes issue #422). Upda…
FooBarWidget authored
200 Release 2.2.8
201 -------------
202
203 * [Nginx] Fixed some signal handling problems.
204 Restarting Nginx on OS X with SIGHUP can sometimes take a long time or
205 even fail completely. This is because of some signal handling problems,
206 which have now been fixed.
207 * [Nginx] Added OpenSSL as dependency.
208 OpenSSL is required in order to install Nginx, but this was not checked
209 by passenger-install-nginx-module. As a result,
210 passenger-install-nginx-module fails on e.g. out-of-the-box Ubuntu
211 installations until the user manually installs OpenSSL. Issue #422.
fd82697 @loe Ensure the current URI subject to internal redirects and rewrites is …
loe authored
212 * [Nginx] Fixed support for internal redirects and subrequests.
213 It is now possible to, for example, point X-Accel-Redirects to Phusion
214 Passenger-served URLs. Patch contributed by W. Andrew Loe III: issue #433.
247a254 @FooBarWidget Fixed crash caused by GnuTLS: issue #391.
FooBarWidget authored
215 * [Apache] Fixed a GnuTLS compatibility issue.
216 mod_gnutls can cause Phusion Passenger to crash because of an unchecked
217 NULL pointer. This problem has now been fixed: issue #391.
78beaf7 @FooBarWidget Fix thread creation on Intel Itanium. Fixes issue #427.
FooBarWidget authored
218 * Fixed thread creation issue on Intel Itanium platforms.
219 This fixes issue #427.
4880487 @FooBarWidget Fixed compilation problems on Linux running on the Renesas SH4 CPU: i…
FooBarWidget authored
220 * Fixed compilation problems on Linux running on the Renesas SH4 CPU.
221 Patch contributed by iwamatsu: issue #428.
681c216 @FooBarWidget Unvendor Rack and add a workaround for the Ruby 1.9.1 tempfile bug. F…
FooBarWidget authored
222 * The Rack library has been unvendored.
223 The original reason for vendoring was to work around broken Rails
224 applications that explicitly specify Rack as a gem dependency. We've
225 found a better workaround that does not require vendoring Rack.
1a8408f @FooBarWidget Update NEWS.
FooBarWidget authored
226 This also fixes a compatibility problem with Rails 3, because Rails
227 3 depends on a newer Rack version than the one we had vendored.
681c216 @FooBarWidget Unvendor Rack and add a workaround for the Ruby 1.9.1 tempfile bug. F…
FooBarWidget authored
228 Issue #432.
229 * Fixed compatibility with Ruby 1.9.1 patchlevel >= 152
230 Ruby 1.9.1 patchlevel >= 152 has a bug in its tempfile library. If you've
231 seen an error message along the lines of
232
233 *** Exception IOError in Passenger RequestHandler (closed stream)
234
235 then this is a Ruby bug at work. This bug has been fixed in Ruby 1.9.2,
236 but Ruby 1.9.1 still contains this bug. We've added a workaround so that
237 the bug is not triggered with this Ruby version. Issue #432.
adad4c6 @FooBarWidget Add OpenSSL as required dependency for Nginx (fixes issue #422). Upda…
FooBarWidget authored
238
239
979bf12 @FooBarWidget Oops, remove debugging code.
FooBarWidget authored
240 Release 2.2.7
241 -------------
242
243 * Removed forgotten debugging code in passenger-install-apache2-module,
244 which caused it not to compile anything.
245
246
5f3ac2b @FooBarWidget Fix compilation on Solaris: PTHREAD_STACK_MIN might not be a constant…
FooBarWidget authored
247 Release 2.2.6
248 -------------
249
5372bdb @FooBarWidget Prevent the Phusion Passenger temp dir from being deleted by /tmp cle…
FooBarWidget authored
250 * Some /tmp cleaner programs such as tmpwatch try to remove subdirectories
251 in /tmp/passenger.xxx after a while because they think those
252 subdirectories are unused. This could cause Phusion Passenger to
253 malfunction, requiring a web server restart. Measures have now been
254 taken to prevent those tmp cleaner programs from removing anything
255 in /tmp/passenger.xxx. Issue #365.
6418797 @FooBarWidget Update NEWS, bump version number to 2.2.6.
FooBarWidget authored
256 * When autodetecting the application type, Rack is now given more priority
257 than Rails. This allows one to drop a config.ru file in a Rails directory
258 and have it detected as a Rack application instead of a Rails application.
259 Patch contributed by Sam Pohlenz: issue #338.
053150e @FooBarWidget Increase default socket backlog to 1024, SOMAXCONN is usually 128 whi…
FooBarWidget authored
260 * The default socket backlog has been increased from 'SOMAXCONN' (which
261 is 128 on most platforms) to 1024. This should fix most
262 'helper_server.sock failed: Resource temporarily unavailable'
263 errors.
6418797 @FooBarWidget Update NEWS, bump version number to 2.2.6.
FooBarWidget authored
264 * Fixed compilation problems on Solaris. Issue #369 and issue #379.
265 * Fixed crashes on PowerPC.
9444db6 @FooBarWidget Fix a Ruby 1.9 compatibility issue: require stringio in utils.rb. Fix…
FooBarWidget authored
266 * Some Ruby 1.9 compatibility fixes. Issue #398.
5967ed7 @FooBarWidget Autodetect Mandriva Linux. Fixes issue #357.
FooBarWidget authored
267 * The installer now displays correct dependency installation instructions
268 for Mandriva Linux.
50750b1 @FooBarWidget Allow specifying the location of apxs2 and apr-config through command…
FooBarWidget authored
269 * [Apache] The location of the 'apxs' and 'apr-config' commands can now
270 also be passed to the installer through the --apxs-path and
271 --apr-config-path parameters, in addition to the $APXS2 and $APR_CONFIG
272 environment variables. Issue #3.
6418797 @FooBarWidget Update NEWS, bump version number to 2.2.6.
FooBarWidget authored
273 * [Nginx] Various problems that only occur on 64-bit platforms have been fixed.
1f4d88b @FooBarWidget Update NEWS.
FooBarWidget authored
274 * [Nginx] The installer now installs Nginx 0.7.64 by default.
5f3ac2b @FooBarWidget Fix compilation on Solaris: PTHREAD_STACK_MIN might not be a constant…
FooBarWidget authored
275
276
7215630 @FooBarWidget Write some release notes.
FooBarWidget authored
277 Release 2.2.5
278 -------------
279
24cc3fa @FooBarWidget Continue writing release notes
FooBarWidget authored
280 * [Apache] Small file uploads are now buffered; fixes potential DoS attack
e66494d @FooBarWidget Update NEWS
FooBarWidget authored
281 Phusion Passenger buffers large file uploads to temp files so that it
24cc3fa @FooBarWidget Continue writing release notes
FooBarWidget authored
282 doesn't block applications while an upload is in progress, but it sent
283 small uploads directly to the application without buffering it. This could
284 result in a potential DoS attack: the client can send many small, incomplete
285 file uploads to the server, and this would block all application processes
286 until a timeout occurs. In order to solve this problem, Phusion Passenger
e66494d @FooBarWidget Update NEWS
FooBarWidget authored
287 now buffers small file uploads in memory. Bug #356.
24cc3fa @FooBarWidget Continue writing release notes
FooBarWidget authored
288
caa9fd7 @FooBarWidget Fix support for mod_rewrite passthrough rules (issue #230) and fix so…
FooBarWidget authored
289 * [Apache] Fixed support for mod_rewrite passthrough rules
e66494d @FooBarWidget Update NEWS
FooBarWidget authored
290 Mod_rewrite passthrough rules were not properly supported because of a bug
caa9fd7 @FooBarWidget Fix support for mod_rewrite passthrough rules (issue #230) and fix so…
FooBarWidget authored
291 fix for supporting encoded slashes (%2f) in URLs. Unfortunately, due to
292 bugs/limitations in Apache, we can support either encoded slashes or
293 mod_rewrite passthrough rules, but not both; supporting one will break the
294 other.
295
296 Support for mod_rewrite passthrough rules is now enabled by default; that
297 is, support for encoded slashes is disabled by default. A new configuration
298 option, "PassengerAllowEncodedSlashes", has been added. Turning this option
299 on will enable support for encoded slashes and disable support for
300 mod_rewrite passthrough rules.
301
302 Issue #113 and issue #230.
303
e66494d @FooBarWidget Update NEWS
FooBarWidget authored
304 * [Apache] Added a configuration option for resolving symlinks in the document root path
305 Phusion Passenger 2.2.0 and higher no longer resolves symlinks in
24cc3fa @FooBarWidget Continue writing release notes
FooBarWidget authored
306 the document root path in order to properly support Capistrano-style
307 directory structures. The exact behavior is documented in the Users Guide,
308 section "How Phusion Passenger detects whether a virtual host is a web
309 application".
310
311 However, some people relied on the old behavior. A new configuration option,
312 PassengerResolveSymlinksInDocumentRoot, has been added to allow reverting
313 back to the old behavior.
314
281c020 @FooBarWidget Update NEWS
FooBarWidget authored
315 Patch contributed by Locaweb (http://www.locaweb.com.br/).
316
24cc3fa @FooBarWidget Continue writing release notes
FooBarWidget authored
317 * [Apache] mod_env variables are now also passed through CGI environment headers
318 Prior to version 2.2.3, environment variables set by mod_env are passed to
319 the application as CGI environment headers, not through Ruby's ENV variable.
320 In the last release we introduced support for setting ENV environment
321 variables with mod_env, and got rid of the code for setting CGI environment
322 headers. It turns out that some people relied on the old behavior, we so now
323 environment variables set with mod_env are set in both ENV and in the CGI
324 environment.
325
326 Fixes bug #335.
327
328 * [Apache] Fixed compilation problems on some Linux systems with older versions of Apache
329 If you used to see compilation errors like this:
330
331 ext/apache2/Configuration.cpp:554: error: expected primary-expression before '.' token
332
333 then this version should compile properly.
334
e66494d @FooBarWidget Update NEWS
FooBarWidget authored
335 * [Apache] Fixed I/O timeouts for communication with backend processes
336 Got rid of the code for enforcing I/O timeouts when reading from or writing to
7ec85d7 @FooBarWidget Update release notes
FooBarWidget authored
337 a backend process. This caused more problems than it solved.
338
7215630 @FooBarWidget Write some release notes.
FooBarWidget authored
339 * [Nginx] Support for streaming responses (e.g. Comet or HTTP push)
340 Buffering of backend responses is now disabled. This fixes support for
341 streaming responses, something which the Apache version has supported
342 for a while now. One can generate streaming responses in Ruby on Rails
343 like this:
344
345 render :text => lambda { |response, output|
346 10_000.times do |i|
347 output.write("hello #{i}!\n")
348 end
349 }
350
41160df @FooBarWidget Nginx installer: install 0.7.61 by default.
FooBarWidget authored
351 * [Nginx] Installer now installs Nginx 0.7.61 by default
352 Previously it installed 0.6.37 by default.
353
9e62b29 @FooBarWidget passenger-install-nginx-module: correctly pass --extra-configure-flag…
FooBarWidget authored
354 * [Nginx] Fixed the installer's --extra-configure-flags flag when combined with --auto-download
355 Arguments passed to --extra-configure-flags were not being passed to the
356 Nginx configure script when --auto-download is given. This has been
357 fixed: bug #349.
358
9ff0e2a @FooBarWidget passenger-install-apache2-module: do not unnecessarily donwload PCRE;…
FooBarWidget authored
359 * [Nginx] Fixed unnecessary download of PCRE
360 The installer now checks whether PCRE is installed in /opt/local (e.g.
361 MacPorts) as well before concluding that it isn't installed and going ahead
362 with downloading PCRE.
363
7215630 @FooBarWidget Write some release notes.
FooBarWidget authored
364 * Fixed STDERR capturing
365 While spawning an application, Phusion Passenger captures any output written
366 to STDERR so that it can show them later if the application failed to start.
367 This turns out to be much more difficult than expected, with all kinds of
368 corner cases that can mess up this feature.
24cc3fa @FooBarWidget Continue writing release notes
FooBarWidget authored
369
7215630 @FooBarWidget Write some release notes.
FooBarWidget authored
370 For example, if the Rails log file is not writable, then this can cause
371 Rails to crash with a bizarre and unhelpful error message whenever it tries
372 to write to STDERR:
373
374 /!\ FAILSAFE /!\ Thu Aug 20 14:58:39 +1000 2009
375 Status: 500 Internal Server Error
376 undefined method `[]' for nil:NilClass
377
378 Some applications reopen STDERR to a log file. This didn't work.
379
380 Of all of these problems have been fixed now. (Bug #332)
381
24cc3fa @FooBarWidget Continue writing release notes
FooBarWidget authored
382 * Fixed some bugs in application sources preloading
383 Rails >= 2.2 already preloads the application sources, in which case Phusion
384 Passenger wasn't supposed to perform it's own preloading, but the Rails
385 >= 2.2 detection code was bugged. This has been fixed.
7215630 @FooBarWidget Write some release notes.
FooBarWidget authored
386
24cc3fa @FooBarWidget Continue writing release notes
FooBarWidget authored
387 Rails < 2.2 doesn't preload the application sources by itself, but there
388 should be a certain order with which the sources are preloaded, otherwise
389 preloading could fail in some applications. We now enforce a specific load
390 order: first models, then controllers, then helpers.
c878017 @FooBarWidget Fix compilation problems with some Linux systems with older versions …
FooBarWidget authored
391
24cc3fa @FooBarWidget Continue writing release notes
FooBarWidget authored
392 Bug #359.
393
caa9fd7 @FooBarWidget Fix support for mod_rewrite passthrough rules (issue #230) and fix so…
FooBarWidget authored
394 * Fixed a few bugs in WSGI compliance
395 PATH_INFO is supposed to be set to the request URI, but without the query
396 string and without the base URI. This has been fixed: bug #360.
397
ac777e5 @FooBarWidget Fix some Ruby 1.9-specific crashes caused by encoding issues. Bug #364.
FooBarWidget authored
398 * Fixed some Ruby 1.9-specific crashes caused by encoding issues. Bug #354.
281c020 @FooBarWidget Update NEWS
FooBarWidget authored
399 * Fixed loading of config/environment.rb on Ruby 1.9.2, because Ruby 1.9.2
400 no longer has "." in the default load path. Patch by metaljastix, issue #368.
24cc3fa @FooBarWidget Continue writing release notes
FooBarWidget authored
401 * The Users Guide for Apache now mentions something about correct permissions
402 for application directories.
7215630 @FooBarWidget Write some release notes.
FooBarWidget authored
403 * Fixed compilation problems on IA-64 (bug #118). We also reduced the stack
404 sizes for the threads by half, so Phusion Passenger should use even less
405 virtual memory now.
312b5e1 @FooBarWidget Fix compilation problems on Linux systems with ARM CPU.
FooBarWidget authored
406 * Fixed compilation problems on Linux systems with ARM CPU.
7215630 @FooBarWidget Write some release notes.
FooBarWidget authored
407 * Fixed a few compatibility problems with 64-bit OpenBSD.
408 * Fixed a few typos and minor bugs.
409
410
411 Older releases
412 --------------
9e15dbd @FooBarWidget Begin porting passenger-status to the new infrastructure.
FooBarWidget authored
413 Please consult the blog posts on http://blog.phusion.nl/ for the information about older releases.
Something went wrong with that request. Please try again.